=== debian/control ===
Source: ros-iron-tf2-sensor-msgs
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-eigen3-cmake-module, ros-iron-geometry-msgs, ros-iron-python-cmake-module, ros-iron-rclcpp <!nocheck>, ros-iron-sensor-msgs, ros-iron-tf2, ros-iron-tf2-ros, ros-iron-ros-workspace
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-iron-tf2-sensor-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, python3-numpy, ros-iron-eigen3-cmake-module, ros-iron-geometry-msgs, ros-iron-sensor-msgs, ros-iron-sensor-msgs-py, ros-iron-std-msgs, ros-iron-tf2, ros-iron-tf2-ros, ros-iron-tf2-ros-py, ros-iron-ros-workspace
Description: Small lib to transform sensor_msgs with tf.
 Most notably, PointCloud2
